﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "~/Views/Shared/_faasoftwarelayout.cshtml";
}
<style>
    input.larger {
        width: 20px;
        height: 20px;
        appearance:auto;
    }

    table tbody td, table thead th {
       text-align:center;
    }
</style>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">

                <div class="card-header">
                    <div class="row col-lg-12">
                        <div class="col-sm-6">
                            <h5 class="card-title">
                                Menu Rights
                            </h5>
                        </div>
                        <div class="col-sm-4 mb-3 card-title" style="text-align:right;">
                            <div class="form-floating">
                                <select class="form-select" id="ddlRole" onchange="BindTableMenuRightByRoleId()" aria-label="Floating label select example">
                                </select>
                                <label for="floatingSelect">Roles</label>
                            </div>
                          
                        </div>
                     
                            <div class="col-sm-1 mb-3 card-title" style="display:none; text-align:right;" id="btnUpdateRole">
                                <button type="button" class="btn btn-warning" onclick="funmodelRole('Update')" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Edit Role Name">
                                    <b><i class="bi bi-pencil"></i></b>
                                </button>
                            </div>
                        <div class="col-sm-1 mb-3 card-title" style="text-align:right;">
                            <button type="button" class="btn btn-primary" onclick="funmodelRole('Save')" data-bs-toggle="tooltip" data-bs-placement="bottom" title="New Role Name">
                                <b><i class="bi bi-plus"></i></b>
                            </button>
                            </div>
                     
                       </div>
                </div>
           
                <div class="card-body">
                  <div class="row">
                    <table id="tblMenuRight" class="table datatable table-bordered table-striped" style="width:100%;">
                    </table>
                    </div>
                </div>
                <div class="card-footer" style="text-align:right;">
                    <button type="button" class="btn btn-primary" onclick="SaveMenuRight()">Save</button>

                </div>
            </div>

        </div>
    </div>
</section>


<div class="modal fade" id="modelRole" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle1">Role</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearRole()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdRole_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <label for="" class="form-label">Role Name </label>
                        <input type="text" id="txtRole_Name" class="form-control" placeholder="Enter Role Name" />
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearRole()">Close</button>
                <button type="button" id="btnRole" class="btn btn-primary" onclick="SaveRole()">Save</button>
            </div>
        </div>
    </div>
</div>

<script src="~/js/UI/jquery.js"></script>
<script src="~/js/app/admin.js"></script>